Index: exampleparties/anac2019/agentgg/pom.xml
===================================================================
--- exampleparties/anac2019/agentgg/pom.xml	(revision 31)
+++ exampleparties/anac2019/agentgg/pom.xml	(revision 32)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties.anac2019</groupId>
 	<artifactId>agentgg</artifactId>
-	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.6.0</geniusweb.version>
+		<geniusweb.version>1.6.1</geniusweb.version>
 	</properties>
 
@@ -23,5 +23,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -135,5 +135,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>
Index: exampleparties/anac2019/winkyagent/pom.xml
===================================================================
--- exampleparties/anac2019/winkyagent/pom.xml	(revision 31)
+++ exampleparties/anac2019/winkyagent/pom.xml	(revision 32)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties.anac2019</groupId>
 	<artifactId>winkyagent</artifactId>
-	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.6.0</geniusweb.version>
+		<geniusweb.version>1.6.1</geniusweb.version>
 	</properties>
 
@@ -23,5 +23,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -135,5 +135,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>
Index: exampleparties/boulware/pom.xml
===================================================================
--- exampleparties/boulware/pom.xml	(revision 31)
+++ exampleparties/boulware/pom.xml	(revision 32)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>boulware</artifactId>
-	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.6.0</geniusweb.version>
+		<geniusweb.version>1.6.1</geniusweb.version>
 	</properties>
 
@@ -23,5 +23,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -48,5 +48,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>
Index: exampleparties/comparebids/pom.xml
===================================================================
--- exampleparties/comparebids/pom.xml	(revision 31)
+++ exampleparties/comparebids/pom.xml	(revision 32)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>comparebids</artifactId>
-	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.6.0</geniusweb.version>
+		<geniusweb.version>1.6.1</geniusweb.version>
 	</properties>
 
@@ -23,5 +23,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -130,5 +130,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>
Index: exampleparties/conceder/pom.xml
===================================================================
--- exampleparties/conceder/pom.xml	(revision 31)
+++ exampleparties/conceder/pom.xml	(revision 32)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>conceder</artifactId>
-	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.6.0</geniusweb.version>
+		<geniusweb.version>1.6.1</geniusweb.version>
 	</properties>
 
@@ -23,5 +23,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -48,5 +48,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>
Index: exampleparties/hardliner/pom.xml
===================================================================
--- exampleparties/hardliner/pom.xml	(revision 31)
+++ exampleparties/hardliner/pom.xml	(revision 32)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>hardliner</artifactId>
-	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.6.0</geniusweb.version>
+		<geniusweb.version>1.6.1</geniusweb.version>
 	</properties>
 
@@ -23,5 +23,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -48,5 +48,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>
Index: exampleparties/humangui/pom.xml
===================================================================
--- exampleparties/humangui/pom.xml	(revision 31)
+++ exampleparties/humangui/pom.xml	(revision 32)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>humangui</artifactId>
-	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.6.0</geniusweb.version>
+		<geniusweb.version>1.6.1</geniusweb.version>
 	</properties>
 
@@ -23,5 +23,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -124,5 +124,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>
Index: exampleparties/linear/pom.xml
===================================================================
--- exampleparties/linear/pom.xml	(revision 31)
+++ exampleparties/linear/pom.xml	(revision 32)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>linear</artifactId>
-	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.6.0</geniusweb.version>
+		<geniusweb.version>1.6.1</geniusweb.version>
 	</properties>
 
@@ -23,5 +23,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -48,5 +48,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>
Index: exampleparties/randomparty/pom.xml
===================================================================
--- exampleparties/randomparty/pom.xml	(revision 31)
+++ exampleparties/randomparty/pom.xml	(revision 32)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>randomparty</artifactId>
-	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.6.0</geniusweb.version>
+		<geniusweb.version>1.6.1</geniusweb.version>
 	</properties>
 
@@ -23,5 +23,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -130,5 +130,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>
Index: exampleparties/randompartypy/pom.xml
===================================================================
--- exampleparties/randompartypy/pom.xml	(revision 31)
+++ exampleparties/randompartypy/pom.xml	(revision 32)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>randompyparty</artifactId>
-	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.6.0</geniusweb.version>
+		<geniusweb.version>1.6.1</geniusweb.version>
 	</properties>
 
@@ -23,5 +23,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -121,5 +121,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>
Index: exampleparties/simpleboa/pom.xml
===================================================================
--- exampleparties/simpleboa/pom.xml	(revision 31)
+++ exampleparties/simpleboa/pom.xml	(revision 32)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>simpleboaparty</artifactId>
-	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.6.0</geniusweb.version>
+		<geniusweb.version>1.6.1</geniusweb.version>
 	</properties>
 
@@ -23,5 +23,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -68,5 +68,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>
Index: exampleparties/simpleshaop/pom.xml
===================================================================
--- exampleparties/simpleshaop/pom.xml	(revision 31)
+++ exampleparties/simpleshaop/pom.xml	(revision 32)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>simpleshaop</artifactId>
-	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.6.0</geniusweb.version>
+		<geniusweb.version>1.6.1</geniusweb.version>
 	</properties>
 
@@ -23,5 +23,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -130,5 +130,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>
Index: exampleparties/timedependentparty/pom.xml
===================================================================
--- exampleparties/timedependentparty/pom.xml	(revision 31)
+++ exampleparties/timedependentparty/pom.xml	(revision 32)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>timedependentparty</artifactId>
-	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.6.0</geniusweb.version>
+		<geniusweb.version>1.6.1</geniusweb.version>
 	</properties>
 
@@ -23,5 +23,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -130,5 +130,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>