Index: exampleparties/anac2019/agentgg/pom.xml
===================================================================
--- exampleparties/anac2019/agentgg/pom.xml	(revision 33)
+++ exampleparties/anac2019/agentgg/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties.anac2019</groupId>
 	<artifactId>agentgg</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -58,5 +58,5 @@
 		</dependency>
 		<dependency>
-			<groupId>tudelft.utilities</groupId> 
+			<groupId>tudelft.utilities</groupId>
 			<artifactId>utilities</artifactId>
 			<version>1.1.0</version>
@@ -118,6 +118,6 @@
 		<dependency>
 			<groupId>org.mockito</groupId>
-			<artifactId>mockito-all</artifactId>
-			<version>1.9.5</version>
+			<artifactId>mockito-core</artifactId>
+			<version>3.11.2</version>
 			<scope>test</scope>
 		</dependency>
@@ -147,4 +147,8 @@
 			<id>central</id>
 			<url>https://repo1.maven.org/maven2</url>
+		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</pluginRepository>
 	</pluginRepositories>
Index: exampleparties/anac2019/winkyagent/pom.xml
===================================================================
--- exampleparties/anac2019/winkyagent/pom.xml	(revision 33)
+++ exampleparties/anac2019/winkyagent/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties.anac2019</groupId>
 	<artifactId>winkyagent</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -118,6 +118,6 @@
 		<dependency>
 			<groupId>org.mockito</groupId>
-			<artifactId>mockito-all</artifactId>
-			<version>1.9.5</version>
+			<artifactId>mockito-core</artifactId>
+			<version>3.11.2</version>
 			<scope>test</scope>
 		</dependency>
@@ -146,4 +146,8 @@
 			<id>central</id>
 			<url>https://repo1.maven.org/maven2</url>
+		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</pluginRepository>
 	</pluginRepositories>
Index: exampleparties/boulware/pom.xml
===================================================================
--- exampleparties/boulware/pom.xml	(revision 33)
+++ exampleparties/boulware/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>boulware</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -29,6 +29,4 @@
 
 	<dependencies>
-
-
 		<dependency>
 			<groupId>geniusweb.exampleparties</groupId>
@@ -54,5 +52,5 @@
 		</repository>
 	</repositories>
-
+	
 	<pluginRepositories>
 		<pluginRepository>
@@ -60,6 +58,9 @@
 			<url>https://repo1.maven.org/maven2</url>
 		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+		</pluginRepository>
 	</pluginRepositories>
-
 
 
Index: exampleparties/comparebids/pom.xml
===================================================================
--- exampleparties/comparebids/pom.xml	(revision 33)
+++ exampleparties/comparebids/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>comparebids</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -29,6 +29,4 @@
 
 	<dependencies>
-
-
 		<dependency>
 			<groupId>geniusweb</groupId>
@@ -113,6 +111,6 @@
 		<dependency>
 			<groupId>org.mockito</groupId>
-			<artifactId>mockito-all</artifactId>
-			<version>1.9.5</version>
+			<artifactId>mockito-core</artifactId>
+			<version>3.11.2</version>
 			<scope>test</scope>
 		</dependency>
@@ -136,5 +134,5 @@
 		</repository>
 	</repositories>
-
+	
 	<pluginRepositories>
 		<pluginRepository>
@@ -142,7 +140,9 @@
 			<url>https://repo1.maven.org/maven2</url>
 		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+		</pluginRepository>
 	</pluginRepositories>
-
-
 
 	<build>
Index: exampleparties/conceder/pom.xml
===================================================================
--- exampleparties/conceder/pom.xml	(revision 33)
+++ exampleparties/conceder/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>conceder</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -29,6 +29,4 @@
 
 	<dependencies>
-
-
 		<dependency>
 			<groupId>geniusweb.exampleparties</groupId>
@@ -54,5 +52,5 @@
 		</repository>
 	</repositories>
-
+	
 	<pluginRepositories>
 		<pluginRepository>
@@ -60,7 +58,9 @@
 			<url>https://repo1.maven.org/maven2</url>
 		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+		</pluginRepository>
 	</pluginRepositories>
-
-
 
 	<build>
Index: exampleparties/hardliner/pom.xml
===================================================================
--- exampleparties/hardliner/pom.xml	(revision 33)
+++ exampleparties/hardliner/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>hardliner</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -29,6 +29,4 @@
 
 	<dependencies>
-
-
 		<dependency>
 			<groupId>geniusweb.exampleparties</groupId>
@@ -60,7 +58,9 @@
 			<url>https://repo1.maven.org/maven2</url>
 		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+		</pluginRepository>
 	</pluginRepositories>
-
-
 
 	<build>
Index: exampleparties/humangui/pom.xml
===================================================================
--- exampleparties/humangui/pom.xml	(revision 33)
+++ exampleparties/humangui/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>humangui</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -29,6 +29,4 @@
 
 	<dependencies>
-
-
 		<dependency>
 			<groupId>geniusweb</groupId>
@@ -108,6 +106,6 @@
 		<dependency>
 			<groupId>org.mockito</groupId>
-			<artifactId>mockito-all</artifactId>
-			<version>1.9.5</version>
+			<artifactId>mockito-core</artifactId>
+			<version>3.11.2</version>
 			<scope>test</scope>
 		</dependency>
@@ -135,4 +133,8 @@
 			<id>central</id>
 			<url>https://repo1.maven.org/maven2</url>
+		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</pluginRepository>
 	</pluginRepositories>
Index: exampleparties/linear/pom.xml
===================================================================
--- exampleparties/linear/pom.xml	(revision 33)
+++ exampleparties/linear/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>linear</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -29,6 +29,4 @@
 
 	<dependencies>
-
-
 		<dependency>
 			<groupId>geniusweb.exampleparties</groupId>
@@ -59,4 +57,8 @@
 			<id>central</id>
 			<url>https://repo1.maven.org/maven2</url>
+		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</pluginRepository>
 	</pluginRepositories>
Index: exampleparties/randomparty/pom.xml
===================================================================
--- exampleparties/randomparty/pom.xml	(revision 33)
+++ exampleparties/randomparty/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>randomparty</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -113,6 +113,6 @@
 		<dependency>
 			<groupId>org.mockito</groupId>
-			<artifactId>mockito-all</artifactId>
-			<version>1.9.5</version>
+			<artifactId>mockito-core</artifactId>
+			<version>3.11.2</version>
 			<scope>test</scope>
 		</dependency>
@@ -141,4 +141,8 @@
 			<id>central</id>
 			<url>https://repo1.maven.org/maven2</url>
+		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</pluginRepository>
 	</pluginRepositories>
Index: exampleparties/randomparty/src/main/java/geniusweb/exampleparties/randomparty/RandomParty.java
===================================================================
--- exampleparties/randomparty/src/main/java/geniusweb/exampleparties/randomparty/RandomParty.java	(revision 33)
+++ exampleparties/randomparty/src/main/java/geniusweb/exampleparties/randomparty/RandomParty.java	(revision 34)
@@ -93,6 +93,6 @@
 					getConnection().send(new LearningDone(me));
 				} else {
-					this.profileint = ProfileConnectionFactory.create(
-							sett.getProfile().getURI(), getReporter());
+					this.profileint = ProfileConnectionFactory
+							.create(sett.getProfile().getURI(), getReporter());
 				}
 			} else if (info instanceof ActionDone) {
@@ -242,5 +242,5 @@
 				: Integer.MAX_VALUE;
 
-		Set<Vote> votes = voting.getBids().stream().distinct()
+		Set<Vote> votes = voting.getOffers().stream().distinct()
 				.filter(offer -> isGood(offer.getBid()))
 				.map(offer -> new Vote(me, offer.getBid(), minpower, maxpower))
@@ -262,5 +262,5 @@
 				: Integer.MAX_VALUE;
 
-		List<Bid> goodbids = voting.getBids().stream().distinct()
+		List<Bid> goodbids = voting.getOffers().stream().distinct()
 				.filter(offer -> isGood(offer.getBid()))
 				.map(offer -> offer.getBid()).collect(Collectors.toList());
Index: exampleparties/randompartypy/pom.xml
===================================================================
--- exampleparties/randompartypy/pom.xml	(revision 33)
+++ exampleparties/randompartypy/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>randompyparty</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -105,6 +105,6 @@
 		<dependency>
 			<groupId>org.mockito</groupId>
-			<artifactId>mockito-all</artifactId>
-			<version>1.9.5</version>
+			<artifactId>mockito-core</artifactId>
+			<version>3.11.2</version>
 			<scope>test</scope>
 		</dependency>
@@ -133,6 +133,9 @@
 			<url>https://repo1.maven.org/maven2</url>
 		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+		</pluginRepository>
 	</pluginRepositories>
-
 
 
Index: exampleparties/simpleboa/pom.xml
===================================================================
--- exampleparties/simpleboa/pom.xml	(revision 33)
+++ exampleparties/simpleboa/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>simpleboaparty</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -51,6 +51,6 @@
 		<dependency>
 			<groupId>org.mockito</groupId>
-			<artifactId>mockito-all</artifactId>
-			<version>1.9.5</version>
+			<artifactId>mockito-core</artifactId>
+			<version>3.11.2</version>
 			<scope>test</scope>
 		</dependency>
@@ -79,4 +79,8 @@
 			<id>central</id>
 			<url>https://repo1.maven.org/maven2</url>
+		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</pluginRepository>
 	</pluginRepositories>
Index: exampleparties/simpleshaop/pom.xml
===================================================================
--- exampleparties/simpleshaop/pom.xml	(revision 33)
+++ exampleparties/simpleshaop/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>simpleshaop</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -29,6 +29,4 @@
 
 	<dependencies>
-
-
 		<dependency>
 			<groupId>geniusweb</groupId>
@@ -113,6 +111,6 @@
 		<dependency>
 			<groupId>org.mockito</groupId>
-			<artifactId>mockito-all</artifactId>
-			<version>1.9.5</version>
+			<artifactId>mockito-core</artifactId>
+			<version>3.11.2</version>
 			<scope>test</scope>
 		</dependency>
@@ -141,4 +139,8 @@
 			<id>central</id>
 			<url>https://repo1.maven.org/maven2</url>
+		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</pluginRepository>
 	</pluginRepositories>
Index: exampleparties/timedependentparty/pom.xml
===================================================================
--- exampleparties/timedependentparty/pom.xml	(revision 33)
+++ exampleparties/timedependentparty/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>timedependentparty</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -29,6 +29,4 @@
 
 	<dependencies>
-
-
 		<dependency>
 			<groupId>geniusweb</groupId>
@@ -113,6 +111,6 @@
 		<dependency>
 			<groupId>org.mockito</groupId>
-			<artifactId>mockito-all</artifactId>
-			<version>1.9.5</version>
+			<artifactId>mockito-core</artifactId>
+			<version>3.11.2</version>
 			<scope>test</scope>
 		</dependency>
@@ -141,4 +139,8 @@
 			<id>central</id>
 			<url>https://repo1.maven.org/maven2</url>
+		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</pluginRepository>
 	</pluginRepositories>
Index: exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/TimeDependentParty.java
===================================================================
--- exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/TimeDependentParty.java	(revision 33)
+++ exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/TimeDependentParty.java	(revision 34)
@@ -298,5 +298,5 @@
 				: Integer.MAX_VALUE;
 
-		Set<Vote> votes = voting.getBids().stream().distinct()
+		Set<Vote> votes = voting.getOffers().stream().distinct()
 				.filter(offer -> isGood(offer.getBid()))
 				.map(offer -> new Vote(me, offer.getBid(), minpower, maxpower))