Index: /bidspace/pom.xml
===================================================================
--- /bidspace/pom.xml	(revision 34)
+++ /bidspace/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>bidspace</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -16,5 +16,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /boa/pom.xml
===================================================================
--- /boa/pom.xml	(revision 34)
+++ /boa/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>boa</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /collectparties.sh
===================================================================
--- /collectparties.sh	(revision 34)
+++ /collectparties.sh	(revision 35)
@@ -7,5 +7,5 @@
 rm -rf collectedparties
 mkdir collectedparties
-VERSION=2.0.1
+VERSION=2.0.2
 
 cp "exampleparties/anac2019/agentgg/target/agentgg-${VERSION}-jar-with-dependencies.jar" collectedparties
Index: /events/pom.xml
===================================================================
--- /events/pom.xml	(revision 34)
+++ /events/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>events</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /exampleparties/anac2019/agentgg/pom.xml
===================================================================
--- /exampleparties/anac2019/agentgg/pom.xml	(revision 34)
+++ /exampleparties/anac2019/agentgg/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties.anac2019</groupId>
 	<artifactId>agentgg</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /exampleparties/anac2019/winkyagent/pom.xml
===================================================================
--- /exampleparties/anac2019/winkyagent/pom.xml	(revision 34)
+++ /exampleparties/anac2019/winkyagent/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties.anac2019</groupId>
 	<artifactId>winkyagent</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /exampleparties/boulware/pom.xml
===================================================================
--- /exampleparties/boulware/pom.xml	(revision 34)
+++ /exampleparties/boulware/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>boulware</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /exampleparties/comparebids/pom.xml
===================================================================
--- /exampleparties/comparebids/pom.xml	(revision 34)
+++ /exampleparties/comparebids/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>comparebids</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /exampleparties/conceder/pom.xml
===================================================================
--- /exampleparties/conceder/pom.xml	(revision 34)
+++ /exampleparties/conceder/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>conceder</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /exampleparties/hardliner/pom.xml
===================================================================
--- /exampleparties/hardliner/pom.xml	(revision 34)
+++ /exampleparties/hardliner/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>hardliner</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /exampleparties/humangui/pom.xml
===================================================================
--- /exampleparties/humangui/pom.xml	(revision 34)
+++ /exampleparties/humangui/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>humangui</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /exampleparties/linear/pom.xml
===================================================================
--- /exampleparties/linear/pom.xml	(revision 34)
+++ /exampleparties/linear/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>linear</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /exampleparties/randomparty/pom.xml
===================================================================
--- /exampleparties/randomparty/pom.xml	(revision 34)
+++ /exampleparties/randomparty/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>randomparty</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /exampleparties/randompartypy/pom.xml
===================================================================
--- /exampleparties/randompartypy/pom.xml	(revision 34)
+++ /exampleparties/randompartypy/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>randompyparty</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /exampleparties/simpleboa/pom.xml
===================================================================
--- /exampleparties/simpleboa/pom.xml	(revision 34)
+++ /exampleparties/simpleboa/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>simpleboaparty</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /exampleparties/simpleshaop/pom.xml
===================================================================
--- /exampleparties/simpleshaop/pom.xml	(revision 34)
+++ /exampleparties/simpleshaop/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>simpleshaop</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /exampleparties/timedependentparty/pom.xml
===================================================================
--- /exampleparties/timedependentparty/pom.xml	(revision 34)
+++ /exampleparties/timedependentparty/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>timedependentparty</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /ip/pom.xml
===================================================================
--- /ip/pom.xml	(revision 34)
+++ /ip/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>ip</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /issuevalue/pom.xml
===================================================================
--- /issuevalue/pom.xml	(revision 34)
+++ /issuevalue/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>issuevalue</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /opponentmodel/pom.xml
===================================================================
--- /opponentmodel/pom.xml	(revision 34)
+++ /opponentmodel/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>opponentmodel</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /party/pom.xml
===================================================================
--- /party/pom.xml	(revision 34)
+++ /party/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>party</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /profile/pom.xml
===================================================================
--- /profile/pom.xml	(revision 34)
+++ /profile/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>profile</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /profileconnection/pom.xml
===================================================================
--- /profileconnection/pom.xml	(revision 34)
+++ /profileconnection/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>profileconnection</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /protocol/pom.xml
===================================================================
--- /protocol/pom.xml	(revision 34)
+++ /protocol/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>protocol</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /protocol/src/main/java/geniusweb/protocol/session/mopac/PartyStates.java
===================================================================
--- /protocol/src/main/java/geniusweb/protocol/session/mopac/PartyStates.java	(revision 34)
+++ /protocol/src/main/java/geniusweb/protocol/session/mopac/PartyStates.java	(revision 35)
@@ -1,4 +1,5 @@
 package geniusweb.protocol.session.mopac;
 
+import java.util.ArrayList;
 import java.util.Collections;
 import java.util.HashMap;
@@ -41,16 +42,16 @@
 
 	@JsonCreator
-	protected PartyStates(@JsonProperty("notYetActed") Set<PartyId> notYetActed,
+	protected PartyStates(@JsonProperty("powers") Map<PartyId, Integer> powers,
+			@JsonProperty("notYetActed") Set<PartyId> notYetActed,
 			@JsonProperty("actions") List<Action> actions,
 			@JsonProperty("agreements") Agreements agreements,
 			@JsonProperty("walkedAway") List<PartyId> walkedAway,
-			@JsonProperty("exceptions") Map<PartyId, ProtocolException> exceptions,
-			@JsonProperty("powers") Map<PartyId, Integer> powers) {
-		this.notYetActed = notYetActed;
-		this.actions = actions;
+			@JsonProperty("exceptions") Map<PartyId, ProtocolException> exceptions) {
+		this.notYetActed = new HashSet<>(notYetActed);
+		this.actions = new ArrayList<>(actions);
 		this.agreements = agreements;
-		this.walkedAway = walkedAway;
+		this.walkedAway = new ArrayList<>(walkedAway);
 		this.exceptions = exceptions;
-		this.powers = powers;
+		this.powers = new HashMap<>(powers);
 	}
 
@@ -61,10 +62,7 @@
 	 */
 	public PartyStates(Map<PartyId, Integer> powers) {
-		this.notYetActed = new HashSet<>(powers.keySet());
-		this.actions = Collections.emptyList();
-		this.agreements = new Agreements();
-		this.walkedAway = Collections.emptyList();
-		this.exceptions = Collections.emptyMap();
-		this.powers = new HashMap<>(powers);
+		this(powers, new HashSet<>(powers.keySet()), Collections.emptyList(),
+				new Agreements(), Collections.emptyList(),
+				Collections.emptyMap());
 	}
 
@@ -90,6 +88,6 @@
 		List<Action> newActions = new LinkedList<Action>(actions);
 		newActions.add(action);
-		return new PartyStates(removeParty(action.getActor()), newActions,
-				agreements, walkedAway, exceptions, powers);
+		return new PartyStates(powers, removeParty(action.getActor()),
+				newActions, agreements, walkedAway, exceptions);
 	}
 
@@ -107,6 +105,6 @@
 				.filter(act -> !(parties.contains(act.getActor())))
 				.collect(Collectors.toList());
-		return new PartyStates(notYetActed, newActions,
-				agreements.with(newAgree), walkedAway, exceptions, powers);
+		return new PartyStates(powers, notYetActed, newActions,
+				agreements.with(newAgree), walkedAway, exceptions);
 	}
 
@@ -116,6 +114,6 @@
 		LinkedList<PartyId> newWalkAway = new LinkedList<>(walkedAway);
 		newWalkAway.add(actor);
-		return new PartyStates(removeParty(actor), actions, agreements,
-				newWalkAway, exceptions, powers);
+		return new PartyStates(powers, removeParty(actor), actions, agreements,
+				newWalkAway, exceptions);
 	}
 
@@ -136,6 +134,6 @@
 		Map<PartyId, ProtocolException> newExc = new HashMap<>(exceptions);
 		newExc.put(e.getParty(), e);
-		return new PartyStates(removeParty(e.getParty()), actions, agreements,
-				walkedAway, newExc, powers);
+		return new PartyStates(powers, removeParty(e.getParty()), actions,
+				agreements, walkedAway, newExc);
 	}
 
@@ -209,5 +207,5 @@
 	 */
 	public List<PartyId> getWalkedAway() {
-		return walkedAway;
+		return Collections.unmodifiableList(walkedAway);
 	}
 
@@ -241,6 +239,6 @@
 			throw new IllegalStateException(
 					"Some parties did not yet act:" + notYetActed);
-		return new PartyStates(getNegotiatingParties(), Collections.emptyList(),
-				agreements, walkedAway, exceptions, powers);
+		return new PartyStates(powers, getNegotiatingParties(),
+				Collections.emptyList(), agreements, walkedAway, exceptions);
 	}
 
Index: /protocol/src/test/java/geniusweb/protocol/session/mopac/MOPACStateTest.java
===================================================================
--- /protocol/src/test/java/geniusweb/protocol/session/mopac/MOPACStateTest.java	(revision 34)
+++ /protocol/src/test/java/geniusweb/protocol/session/mopac/MOPACStateTest.java	(revision 35)
@@ -4,6 +4,6 @@
 import static org.junit.Assert.assertFalse;
 import static org.junit.Assert.assertTrue;
-import static org.mockito.Matchers.any;
-import static org.mockito.Matchers.eq;
+import static org.mockito.ArgumentMatchers.any;
+import static org.mockito.ArgumentMatchers.eq;
 import static org.mockito.Mockito.mock;
 import static org.mockito.Mockito.when;
@@ -74,5 +74,5 @@
 	private MOPACState state1, state1a, state2, state3, state4, state5, state6;
 
-	private String serialized = "{\"MOPACState\":{\"phase\":{\"OfferPhase\":{\"partyStates\":{\"notYetActed\":[],\"actions\":[],\"agreements\":{},\"walkedAway\":[],\"exceptions\":{},\"powers\":{}},\"evaluator\":{\"LargestAgreement\":{}},\"deadline\":100}},\"actions\":[],\"progress\":{\"ProgressTime\":{\"duration\":100,\"start\":1001}},\"settings\":{\"MOPACSettings\":{\"participants\":[{\"TeamInfo\":{\"parties\":[{\"party\":{\"partyref\":\"http://party1\",\"parameters\":{}},\"profile\":\"http://profile1\"}]}},{\"TeamInfo\":{\"parties\":[{\"party\":{\"partyref\":\"http://party2\",\"parameters\":{}},\"profile\":\"http://profile2\"}]}}],\"deadline\":{\"DeadlineTime\":{\"durationms\":100}},\"votingevaluator\":{\"LargestAgreement\":{}}}},\"partyprofiles\":{}}}";
+	private String serialized = "{\"MOPACState\":{\"phase\":{\"OfferPhase\":{\"partyStates\":{\"powers\":{},\"notYetActed\":[],\"actions\":[],\"agreements\":{},\"walkedAway\":[],\"exceptions\":{}},\"evaluator\":{\"LargestAgreement\":{}},\"deadline\":100}},\"actions\":[],\"progress\":{\"ProgressTime\":{\"duration\":100,\"start\":1001}},\"settings\":{\"MOPACSettings\":{\"participants\":[{\"TeamInfo\":{\"parties\":[{\"party\":{\"partyref\":\"http://party1\",\"parameters\":{}},\"profile\":\"http://profile1\"}]}},{\"TeamInfo\":{\"parties\":[{\"party\":{\"partyref\":\"http://party2\",\"parameters\":{}},\"profile\":\"http://profile2\"}]}}],\"deadline\":{\"DeadlineTime\":{\"durationms\":100}},\"votingevaluator\":{\"LargestAgreement\":{}}}},\"partyprofiles\":{}}}";
 
 	@Before
Index: /protocol/src/test/java/geniusweb/protocol/session/mopac/PartyStatesTest.java
===================================================================
--- /protocol/src/test/java/geniusweb/protocol/session/mopac/PartyStatesTest.java	(revision 34)
+++ /protocol/src/test/java/geniusweb/protocol/session/mopac/PartyStatesTest.java	(revision 35)
@@ -31,5 +31,5 @@
 	private final Map<PartyId, Integer> powers = new HashMap<>();
 	private final PartyStates states1, states1a, states2;
-	private final String serialized = "{\"notYetActed\":[\"party2\",\"party1\",\"party3\"],\"actions\":[],\"agreements\":{},\"walkedAway\":[],\"exceptions\":{},\"powers\":{\"party2\":3,\"party1\":2,\"party3\":3}}";
+	private final String serialized = "{\"powers\":{\"party2\":3,\"party1\":2,\"party3\":3},\"notYetActed\":[\"party2\",\"party1\",\"party3\"],\"actions\":[],\"agreements\":{},\"walkedAway\":[],\"exceptions\":{}}";
 
 	public PartyStatesTest() {
Index: /protocol/src/test/java/geniusweb/protocol/session/mopac/phase/OfferPhaseTest.java
===================================================================
--- /protocol/src/test/java/geniusweb/protocol/session/mopac/phase/OfferPhaseTest.java	(revision 34)
+++ /protocol/src/test/java/geniusweb/protocol/session/mopac/phase/OfferPhaseTest.java	(revision 35)
@@ -57,5 +57,5 @@
 	private final Offer offer = new Offer(party1, bid);
 
-	private final String serialized = "{\"OfferPhase\":{\"partyStates\":{\"notYetActed\":[\"party2\",\"party1\",\"party3\"],\"actions\":[],\"agreements\":{},\"walkedAway\":[],\"exceptions\":{},\"powers\":{\"party2\":3,\"party1\":2,\"party3\":3}},\"evaluator\":{\"LargestAgreement\":{}},\"deadline\":10}}";
+	private final String serialized = "{\"OfferPhase\":{\"partyStates\":{\"powers\":{\"party2\":3,\"party1\":2,\"party3\":3},\"notYetActed\":[\"party2\",\"party1\",\"party3\"],\"actions\":[],\"agreements\":{},\"walkedAway\":[],\"exceptions\":{}},\"evaluator\":{\"LargestAgreement\":{}},\"deadline\":10}}";
 
 	public OfferPhaseTest() {
Index: /pythonadapter/pom.xml
===================================================================
--- /pythonadapter/pom.xml	(revision 34)
+++ /pythonadapter/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>pythonadapter</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /references/pom.xml
===================================================================
--- /references/pom.xml	(revision 34)
+++ /references/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>references</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /simplerunner/pom.xml
===================================================================
--- /simplerunner/pom.xml	(revision 34)
+++ /simplerunner/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>simplerunner</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /timeline/pom.xml
===================================================================
--- /timeline/pom.xml	(revision 34)
+++ /timeline/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>timeline</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -16,5 +16,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /voting/pom.xml
===================================================================
--- /voting/pom.xml	(revision 34)
+++ /voting/pom.xml	(revision 35)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>voting</artifactId>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /voting/src/main/java/geniusweb/voting/votingevaluators/LargestAgreement.java
===================================================================
--- /voting/src/main/java/geniusweb/voting/votingevaluators/LargestAgreement.java	(revision 34)
+++ /voting/src/main/java/geniusweb/voting/votingevaluators/LargestAgreement.java	(revision 35)
@@ -55,5 +55,5 @@
 	@Override
 	public VotingEvaluator create(CollectedVotes votes) {
-		return new LargestAgreementsLoop(votes);
+		return new LargestAgreement(votes);
 	}
 