Index: protocol/src/main/java/geniusweb/protocol/session/learn/Learn.java
===================================================================
--- protocol/src/main/java/geniusweb/protocol/session/learn/Learn.java	(revision 39)
+++ protocol/src/main/java/geniusweb/protocol/session/learn/Learn.java	(revision 40)
@@ -73,5 +73,5 @@
 	@Override
 	public String getDescription() {
-		return "Sends all parties a ";
+		return "Sends all parties the Settings. Parties can start learning immediately but must respect the deadline. When party is done, it should send LearningDone. ";
 	}
 
@@ -120,5 +120,5 @@
 				.collect(Collectors.toList());
 		List<ProtocolToPartyConn> connections = null;
-		log.log(Level.INFO, "SAOP connect " + parties);
+		log.log(Level.INFO, "LEARN connect " + parties);
 		while (connections == null) {
 			try {
@@ -232,5 +232,5 @@
 				}
 				log.log(Level.INFO,
-						"SAOP deadline reached. Terminating session.");
+						"LEARN deadline reached. Terminating session.");
 				finish();
 			}
@@ -239,5 +239,5 @@
 		// early
 		deadlinetimer.schedule(task, deadline.getDuration() + TIME_MARGIN);
-		log.log(Level.INFO, "SAOP deadline set to "
+		log.log(Level.INFO, "LEARN deadline set to "
 				+ new SimpleDateFormat("yyyy/MM/dd HH:mm:ss")
 						.format(new Date(System.currentTimeMillis()
@@ -259,5 +259,5 @@
 			setState(state.with(new ProtocolException(message, party, e)));
 		}
-		log.log(Level.WARNING, "SAOP protocol intercepted error due to party "
+		log.log(Level.WARNING, "LEARN protocol intercepted error due to party "
 				+ party + ":" + message, e);
 	}
Index: protocol/src/test/java/geniusweb/protocol/session/learn/LearnStateTest.java
===================================================================
--- protocol/src/test/java/geniusweb/protocol/session/learn/LearnStateTest.java	(revision 39)
+++ protocol/src/test/java/geniusweb/protocol/session/learn/LearnStateTest.java	(revision 40)
@@ -6,5 +6,5 @@
 import static org.junit.Assert.assertNull;
 import static org.junit.Assert.assertTrue;
-import static org.mockito.Matchers.any;
+import static org.mockito.ArgumentMatchers.any;
 import static org.mockito.Mockito.mock;
 import static org.mockito.Mockito.when;
@@ -70,9 +70,9 @@
 		// define team2
 		PartyRef party2ref = new PartyRef(PARTY2);
-		PartyWithParameters party2 = new PartyWithParameters(party1ref, params);
+		PartyWithParameters party2 = new PartyWithParameters(party2ref, params);
 		ProfileRef profile2 = new ProfileRef("http://prof2");
 		PartyWithProfile partywithp2 = new PartyWithProfile(party2, profile2);
 		List<PartyWithProfile> team2pp = Arrays.asList(partywithp2);
-		team2 = new TeamInfo(team1pp);
+		team2 = new TeamInfo(team2pp);
 
 		List<TeamInfo> participants = Arrays.asList(team1, team2);
Index: protocol/src/test/java/geniusweb/protocol/tournament/TeamTest.java
===================================================================
--- protocol/src/test/java/geniusweb/protocol/tournament/TeamTest.java	(revision 40)
+++ protocol/src/test/java/geniusweb/protocol/tournament/TeamTest.java	(revision 40)
@@ -0,0 +1,51 @@
+package geniusweb.protocol.tournament;
+
+import static org.junit.Assert.assertEquals;
+
+import java.net.URISyntaxException;
+import java.util.Arrays;
+import java.util.List;
+
+import org.junit.Before;
+import org.junit.Test;
+
+import geniusweb.references.Parameters;
+import geniusweb.references.PartyRef;
+import geniusweb.references.PartyWithParameters;
+import tudelft.utilities.junit.GeneralTests;
+
+public class TeamTest extends GeneralTests<Team> {
+
+	private Team team1, team1a, team2;
+	private PartyWithParameters pwithp1, pwithp2;
+
+	@Before
+	public void before() throws URISyntaxException {
+		PartyRef partyref1 = new PartyRef("party1");
+		PartyRef partyref2 = new PartyRef("party2");
+		Parameters params1 = new Parameters().with("a", 1);
+		pwithp1 = new PartyWithParameters(partyref1, params1);
+		pwithp2 = new PartyWithParameters(partyref2, params1);
+		team1 = new Team(Arrays.asList(pwithp1));
+		team1a = new Team(Arrays.asList(pwithp1));
+		team2 = new Team(Arrays.asList(pwithp2));
+	}
+
+	@Override
+	public List<List<Team>> getGeneralTestData() {
+		return Arrays.asList(Arrays.asList(team1, team1a),
+				Arrays.asList(team2));
+	}
+
+	@Override
+	public List<String> getGeneralTestStrings() {
+		return Arrays.asList(".PartyRef.party1..a=1..",
+				".PartyRef.party2..a=1..");
+	}
+
+	@Test
+	public void testGet() {
+		assertEquals(Arrays.asList(pwithp1), team1.getParties());
+	}
+
+}